# Uses of Interface
org.eclipse.ui.navigator.INavigatorViewerDescriptor

Packages that use INavigatorViewerDescriptor
Package
Description
org.eclipse.ui.navigator
Provides the Common Navigator framework.

## Uses of INavigatorViewerDescriptor in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return INavigatorViewerDescriptor
Modifier and Type
Method
Description
`INavigatorViewerDescriptor`
INavigatorContentService.`getViewerDescriptor()`
The viewer descriptor provides some basic information about the abstract viewer that uses this content service.